using System;
namespace System.Model
{
	/// <summary>
	/// 标签管理表
	/// </summary>
	[Serializable]
	public partial class T_Bus_Tag
	{
		public T_Bus_Tag()
		{ }
		#region Model
		private string _f_tagname="";
		private int _f_type=0;
		private int _f_class=1;
		private int _f_userid;
		private string _f_username="";
		private int _f_sort = 100;
		private DateTime _f_updatetime = DateTime.Now;
		private int _f_id;

		/// <summary>
		/// id标识，自增
		/// </summary>
		public int F_ID
		{
			set { _f_id = value; }
			get { return _f_id; }
		}

		/// <summary>
		/// 上次更新时间
		/// </summary>
		public DateTime F_UpdateTime
		{
			set { _f_updatetime = value; }
			get { return _f_updatetime; }
		}
		/// <summary>
		/// 标签名称
		/// </summary>
		public string F_TagName
		{
			set { _f_tagname = value; }
			get { return _f_tagname; }
		}
		/// <summary>
		/// 标签类型 0产品 1会员(暂不启用)
		/// </summary>
		public int F_Type
		{
			set { _f_type = value; }
			get { return _f_type; }
		}
		/// <summary>
		/// 标签分组 1系统标签 不能更改 2基础标签 3活动标签
		/// </summary>
		public int F_CLass
		{
			set { _f_class = value; }
			get { return _f_class; }
		}
		/// <summary>
		/// 操作人id
		/// </summary>
		public int F_UserId
		{
			set { _f_userid = value; }
			get { return _f_userid; }
		}
		/// <summary>
		/// 操作人名称
		/// </summary>
		public string F_UserName
		{
			set { _f_username = value; }
			get { return _f_username; }
		}
		/// <summary>
		/// 排序 正序
		/// </summary>
		public int F_Sort
		{
			set { _f_sort = value; }
			get { return _f_sort; }
		}
		#endregion Model

	}
}

